-- DorHUD by DorentuZ` -- http://steamcommunity.com/id/dorentuz/
--   Hitmarkers module by BangL
--
-- This Source Code Form is subject to the terms of the Mozilla Public
-- License, v. 2.0. If a copy of the MPL was not distributed with this
-- file, You can obtain one at http://mozilla.org/MPL/2.0/.

local module = DMod:new("hitmarkers", { abbr = "HMS" })

module:add_config_option("hitmarkers_hit_a", 0.5)
module:add_config_option("hitmarkers_hit_r", 1)
module:add_config_option("hitmarkers_hit_g", 0.4)
module:add_config_option("hitmarkers_hit_b", 0.4)

module:add_config_option("hitmarkers_head_a", 0.5)
module:add_config_option("hitmarkers_head_r", 1)
module:add_config_option("hitmarkers_head_g", 0.6)
module:add_config_option("hitmarkers_head_b", 0.1)

module:add_config_option("hitmarkers_circle_on_kill", true)

module:add_config_option("hitmarkers_vibrate", false)
module:add_config_option("hitmarkers_default_rotation", 45)
module:add_config_option("hitmarkers_rotate", false)
module:add_config_option("hitmarkers_rotation_speed", 10)
module:add_config_option("hitmarkers_scale", 1.5)

-- script overrides
module:hook_post_require("lib/managers/hudmanager", "hudmanager")
module:hook_post_require("lib/units/enemies/cop/copdamage", "copdamage")

-- includes
module:register_include("modoptions")
module:register_include("modlocalization")

-- register module
return module
