-- DorHUD by DorentuZ` -- http://steamcommunity.com/id/dorentuz/
--   Hitmarkers module by BangL
--
-- This Source Code Form is subject to the terms of the Mozilla Public
-- License, v. 2.0. If a copy of the MPL was not distributed with this
-- file, You can obtain one at http://mozilla.org/MPL/2.0/.

local module = D:module("hitmarkers")

-- general mod localization
module:add_localization_string("hitmarkers_hit_a", {
	english = "hit alpha"
})
module:add_localization_string("hitmarkers_hit_a_help", {
	english = "alpha level of the normal hitmarker (0-1)"
})
module:add_localization_string("hitmarkers_hit_r", {
	english = "hit red"
})
module:add_localization_string("hitmarkers_hit_r_help", {
	english = "red level of the normal hitmarker (0-1)"
})
module:add_localization_string("hitmarkers_hit_g", {
	english = "hit green"
})
module:add_localization_string("hitmarkers_hit_g_help", {
	english = "green level of the normal hitmarker (0-1)"
})
module:add_localization_string("hitmarkers_hit_b", {
	english = "hit blue"
})
module:add_localization_string("hitmarkers_hit_b_help", {
	english = "blue level of the normal hitmarker (0-1)"
})

module:add_localization_string("hitmarkers_head_a", {
	english = "head alpha"
})
module:add_localization_string("hitmarkers_head_a_help", {
	english = "alpha level of the headshot hitmarker (0-1)"
})
module:add_localization_string("hitmarkers_head_r", {
	english = "head red"
})
module:add_localization_string("hitmarkers_head_r_help", {
	english = "red level of the headshot hitmarker (0-1)"
})
module:add_localization_string("hitmarkers_head_g", {
	english = "head green"
})
module:add_localization_string("hitmarkers_head_g_help", {
	english = "green level of the headshot hitmarker (0-1)"
})
module:add_localization_string("hitmarkers_head_b", {
	english = "head blue"
})
module:add_localization_string("hitmarkers_head_b_help", {
	english = "blue level of the headshot hitmarker (0-1)"
})

module:add_localization_string("hitmarkers_vibrate", {
	english = "random starting rotation"
})
module:add_localization_string("hitmarkers_vibrate_help", {
	english = "randomly change direction on each hit"
})

module:add_localization_string("hitmarkers_circle_on_kill", {
	english = "circle on kill"
})
module:add_localization_string("hitmarkers_circle_on_kill_help", {
	english = "adds a circle around the marker when the shot was a kill"
})

module:add_localization_string("hitmarkers_default_rotation", {
	english = "default rotation"
})
module:add_localization_string("hitmarkers_default_rotation_help", {
	english = "default rotation in degrees of hitmarkers (45 for X, 0 for +)"
})

module:add_localization_string("hitmarkers_rotate", {
	english = "rotate over time"
})
module:add_localization_string("hitmarkers_rotate_help", {
	english = "rotate the marker over time"
})
module:add_localization_string("hitmarkers_rotation_speed", {
	english = "rotation speed"
})
module:add_localization_string("hitmarkers_rotation_speed_help", {
	english = "higher = faster"
})
module:add_localization_string("hitmarkers_scale", {
	english = "scale"
})
module:add_localization_string("hitmarkers_scale_help", {
	english = "scaling of the hitmarker"
})
